org.apache.sling.urlrewriter.internal

## Class SlingUrlRewriteFilter.ConfHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.apache.sling.urlrewriter.internal.SlingUrlRewriteFilter.ConfHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

Enclosing class:
  SlingUrlRewriteFilter

    public class SlingUrlRewriteFilter.ConfHandler
    extends org.xml.sax.helpers.DefaultHandler

### Field Summary

Fields
`protected String` `systemId`

### Constructor Summary

Constructors
Constructor and Description
`ConfHandler(String systemId)`

### Method Summary

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### systemId

    protected final String systemId

### Constructor Detail

#### ConfHandler

    public ConfHandler(String systemId)